image: python:3.5.7

pipelines:
  branches:
    master: #master branch
      - step:
          script:
              - apt-get update # required to install zip
              - apt-get -qq install zip git git-ftp # required for packaging up the application
             # - git ftp init -u "$FTP_USERNAME_LIVE" -p "$FTP_PASSWORD_LIVE" ftp://$FTP_HOST_LIVE # init only use for the first time
              - git ftp push -u "$FTP_USERNAME_LIVE" -p "$FTP_PASSWORD_LIVE" ftp://$FTP_HOST_LIVE
    development: #ftp example
        - step:
            script:
              - apt-get update # required to install zip
              - apt-get -qq install zip git git-ftp # required for packaging up the application
              #- git ftp init -u "$FTP_USERNAME_QA" -p "$FTP_PASSWORD_QA" ftp://$FTP_HOST_QA/public_html/americanshutters.overdriveqa.co.za # init only use for the first time
              - git ftp push -u "$FTP_USERNAME_QA" -p "$FTP_PASSWORD_QA" ftp://$FTP_HOST_QA/public_html/americanshutters.overdriveqa.co.za
